## nfoview 1.26

=== flatpak/Makefile ===
# -*- coding: utf-8-unix -*-

clean:
	rm -rf .flatpak-builder
	rm -rf build

install:
	$(MAKE) clean uninstall
	flatpak-builder --install --install-deps-from=flathub build io.otsaloma.nfoview.yml

run:
	flatpak run io.otsaloma.nfoview

uninstall:
	flatpak uninstall -y io.otsaloma.nfoview/x86_64/master || true

.PHONY: clean install run uninstall

## nfoview 1.9.1

=== debian/changelog ===
nfoview (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Change my email address.
  * Bump Standards.
  * Move python from Build-Depends-Indep to Build-Depends as it's needed
    to run debian/rules clean.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Jul 2010 09:09:15 +0200

nfoview (1.9-1) unstable; urgency=low

  * New upstream release.
  * Co-maintain this with Debian PAPT, move packaging into PAPT's svn area.
  * debian/control:
    - Adjust debhelper b-d version to ease backporters' life.
    - Bump Standards.
    - Replace python-all-dev with python in Build-Depends field.
    - Set DM-Upload-Allowed to yes.
  * Switch to 3.0 (quilt) source format.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 30 Apr 2010 00:53:55 +0200

nfoview (1.8-1) unstable; urgency=low

  * New upstream release.
  * debian/{nfoview.xpm,nfoview.install}:
    - Add 32x32px icon in XPM format.
  * debian/menu:
    - Add icon field.
    - Set the extended name as title field value. 

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 25 Oct 2009 02:56:44 +0200

nfoview (1.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-italian_translations.diff:
    - Remove, applied by upstream.
  * Drop quilt support, no patch to apply.
  * Remove debian/README.source, no need to document quilt patch system.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 06 Oct 2009 12:55:50 +0200

nfoview (1.6-2) unstable; urgency=low

  [Kartik Mistry]
  * Set distribution to unstable

  [Alessio Treglia]
  * debian/control:
    - Set XS-Python-Version to >= 2.5 (Closes: #545724).
    - Move xfonts-terminus from Suggests to Recommends (as suggested by
      upstream).
    - Remove python-glade2 dependency, not needed anymore since the migration
      from Libglade to GtkBuilder.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 11 Sep 2009 00:21:41 +0530

nfoview (1.6-1) unstable; urgency=low

  * Initial release (Closes: #544045).
  * debian/patches/01-italian_translations.diff: Add Italian translations.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 05 Sep 2009 16:18:00 +0200

=== debian/control ===
Source: nfoview
Section: utils
Priority: extra
Maintainer: Alessio Treglia <alessio@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python (>= 2.5)
Build-Depends-Indep: intltool,
 python-support (>= 0.5.3)
Standards-Version: 3.9.0
Homepage: http://home.gna.org/nfoview/
XS-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/python-apps/packages/nfoview/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/nfoview/trunk/

Package: nfoview
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2
Recommends: xfonts-terminus
Description: a simple viewer for NFO files
 NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
 the CP437 codepage. The advantages of using NFO Viewer instead of a
 text editor are preset font and encoding settings, automatic window
 size and clickable hyperlinks.

## nfoview 1.9.2

=== debian/changelog ===
nfoview (1.9.2-1) unstable; urgency=low

  * New upstream release:
    - Update Polish translation (Piotr Drąg).
    - Add Russian translation (Алекс).
  * Set Maintainer to Python Apps Packaging team, move myself to the
    Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Oct 2010 09:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: nfoview
 Section: utils
 Priority: extra
-Maintainer: Alessio Treglia <alessio@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  python (>= 2.5)
 Build-Depends-Indep: intltool,

=== debian/watch ===
version=3
http://home.gna.org/nfoview/ \
	http://download.gna.org/nfoview/.*/nfoview-(.*)\.tar\.gz

## nfoview 1.13.1

=== debian/changelog ===
nfoview (1.13.1-1) unstable; urgency=low

  [Jakub Wilk]
  * Use canonical URIs for Vcs-* fields.

  [JCF Ploemen (jcfp)]
  * New upstream release (Closes: #625237).
  * Migrated to Python 3 (etc.):
    + Build-Depend on python3 rather than python.
    + Set X-Python3-Version to >= 3.2; remove XS-Python-Version.
    + Depend on python3-gi rather than python-gtk2.
    + Switch to dh_python3 from python-support.
  * New maintainer (Closes: #726301).
  * Fix package description.
  * Handle use of tar.xz file format by upstream:
    + Update watch file.
    + Add Pre-Depends on dpkg (>= 1.15.6~).
  * Set Priority to optional.
  * Bump Standards-Version to 3.9.4.
  * Update copyright:
    + Add myself as a copyright holder for the packaging.
    + Remove mention of tools/git2cl: no longer present.
    + Use machine-interpretable format 1.0.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 18 Oct 2013 18:12:14 +0200

=== debian/control ===
Source: nfoview
Section: utils
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3, dh-python
Build-Depends-Indep: intltool
Standards-Version: 3.9.4
Homepage: http://home.gna.org/nfoview/
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/nfoview/trunk/

Package: nfoview
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-gi
Recommends: xfonts-terminus
Pre-Depends: dpkg (>= 1.15.6~)
Description: simple viewer for NFO files
 NFO Viewer is a simple viewer for NFO files, which are "ASCII art" in
 the CP437 codepage. The advantages of using NFO Viewer instead of a
 text editor are preset font and encoding settings, automatic window
 size and clickable hyperlinks.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --without python-support

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_auto_clean:
	test -e ./setup.py && python3 ./setup.py clean || true

override_dh_auto_build:

override_dh_auto_install:
	python3 ./setup.py clean install \
		--install-layout=deb \
		--root=$(CURDIR)/debian/nfoview \
		--install-lib=/usr/share/nfoview

=== debian/watch ===
version=3
http://home.gna.org/nfoview/ \
(?:.*[/=]|)nfoview(?:[_\-]?|[_\-]v)(\d.*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz).*

## nfoview 1.15

=== debian/changelog ===
nfoview (1.15-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 07 Oct 2014 20:55:53 +0000

nfoview (1.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Update copyright years.
  * Watch file: add verification of upstream cryptographic signature.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 06 Aug 2014 11:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python3, dh-python
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://home.gna.org/nfoview/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://home.gna.org/nfoview/ \
(?:.*[/=]|)nfoview(?:[_\-]?|[_\-]v)(\d.*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz).*

## nfoview 1.15.1

=== debian/changelog ===
nfoview (1.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Set compat level to 9.
  * Rules: use pybuild, remove dh_auto_* overrides.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 03 Jan 2015 23:40:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python3, dh-python
+Build-Depends: debhelper (>= 9), python3, dh-python
 Build-Depends-Indep: intltool
 Standards-Version: 3.9.6
 Homepage: http://home.gna.org/nfoview/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# extra args for 'setup.py install'
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/nfoview --no-compile

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

## nfoview 1.16

=== debian/changelog ===
nfoview (1.16-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependency on gir1.2-gtk-3.0 (Closes: #780442).
  * Upstream moved to github:
    + Update homepage url, watchfile.
    + Remove gpg key and debian/upstream directory as there's no
      longer any signature to verify.
    + Remove pre-depends on dpkg: no more releases in tar.xz format.
  * Handle upstream renaming of docs and changelog.
  * Update launcher to account for an upstream code change.
  * Bump copyright years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 23 May 2015 20:22:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
 Build-Depends: debhelper (>= 9), python3, dh-python
 Build-Depends-Indep: intltool
 Standards-Version: 3.9.6
-Homepage: http://home.gna.org/nfoview/
+Homepage: http://otsaloma.github.io/nfoview/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/nfoview/trunk/
 
 Package: nfoview
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-gi
+Depends: ${python3:Depends}, ${misc:Depends}, gir1.2-gtk-3.0, python3-gi
 Recommends: xfonts-terminus
-Pre-Depends: dpkg (>= 1.15.6~)
 Description: simple viewer for NFO files
  NFO Viewer is a simple viewer for NFO files, which are "ASCII art" in
  the CP437 codepage. The advantages of using NFO Viewer instead of a

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k NEWS
+	dh_installchangelogs -k NEWS.md

## nfoview 1.18

=== debian/changelog ===
nfoview (1.18-1) unstable; urgency=medium

  * New upstream release:
    + Removes harmless GTK warning upon quitting the application.
      (Closes: #731741)

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 01 Feb 2016 20:13:29 +0000

nfoview (1.17-2) unstable; urgency=medium

  * Override dh_auto_test to prevent running tests not meant for build
    time. Fixes build failure against experimental and ubuntu xenial.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 12 Jan 2016 21:43:07 +0000

nfoview (1.17-1) unstable; urgency=medium

  * New upstream release.
  * Remove Debian menu support as per #741573.
  * Use https for Vcs-Browser.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 23 Oct 2015 12:22:45 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: http://otsaloma.github.io/nfoview/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/nfoview/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/nfoview/trunk/
 
 Package: nfoview
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,5 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS.md
+
+override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nfoview-$1\.tar\.gz/ \
 https://github.com/otsaloma/nfoview/releases .*/v?(\d\S*)\.tar\.gz

## nfoview 1.19

=== debian/changelog ===
nfoview (1.19-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage url.
  * Bump copyright years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 18 May 2016 21:27:31 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), python3, dh-python
 Build-Depends-Indep: intltool
 Standards-Version: 3.9.6
-Homepage: http://otsaloma.github.io/nfoview/
+Homepage: http://otsaloma.io/nfoview/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/nfoview/trunk/

## nfoview 1.21

=== debian/changelog ===
nfoview (1.21-1) unstable; urgency=medium

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 18 Nov 2016 22:20:25 +0000

nfoview (1.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (from 3.9.6, no further changes).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 24 Aug 2016 08:38:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python3, dh-python
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://otsaloma.io/nfoview/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/

## nfoview 1.22

=== debian/changelog ===
nfoview (1.22-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0.0 (from 3.9.8; no further changes).
  * Compat: bump to 10 (from 9) and set debhelper version accordingly.
  * Patches: add 01 to fix appstream metadata location.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 22 Aug 2017 15:49:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python3, dh-python
+Build-Depends: debhelper (>= 10), python3, dh-python
 Build-Depends-Indep: intltool
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0.0
 Homepage: http://otsaloma.io/nfoview/
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/

## nfoview 1.23

=== debian/changelog ===
nfoview (1.23-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + drop build-dep on intltool, upstream switched to gettext.
    + add build-dep on gettext (for msgfmt).
    + sort (build-)dependencies.
    + use https for upstream homepage.
  * Bump Standards-Version to 4.1.3 (from 4.1.0.0, no further changes).
  * Patches: drop all, merged upstream.
  * Copyright: bump years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 03 Jan 2018 13:36:05 +0000

=== debian/control ===
Source: nfoview
Section: utils
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 gettext,
 python3
Standards-Version: 4.1.3
Homepage: https://otsaloma.io/nfoview/
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/nfoview/trunk/

Package: nfoview
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 gir1.2-gtk-3.0,
 python3-gi
Recommends: xfonts-terminus
Description: simple viewer for NFO files
 NFO Viewer is a simple viewer for NFO files, which are "ASCII art" in
 the CP437 codepage. The advantages of using NFO Viewer instead of a
 text editor are preset font and encoding settings, automatic window
 size and clickable hyperlinks.

## nfoview 1.24

=== debian/changelog ===
nfoview (1.24-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Control: add build-dep on python3-distutils, needed because
    distutils was moved into its own package and subsequently the
    dependency of -stdlib on that removed. (Closes: #896765)
  * Bump Standards-Version to 4.1.4 (from 4.1.3; no further changes).
  * Compat: set level to 11.
  * Copyright:
    + bump upstream year.
    + add entry for data/icons/*.
  * debian/nfoview.xpm: refresh outdated icon (convert -resize 32x32
    data/icons/256x256/nfoview.png).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 24 Apr 2018 11:23:37 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  dh-python,
  gettext,
- python3
-Standards-Version: 4.1.3
+ python3,
+ python3-distutils
+Standards-Version: 4.1.4
 Homepage: https://otsaloma.io/nfoview/
 X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/nfoview/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/nfoview/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/nfoview.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/nfoview
 
 Package: nfoview
 Architecture: all

## nfoview 1.26

=== debian/changelog ===
nfoview (1.26-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ JCF Ploemen (jcfp) ]
  * Watch: switch to git mode, add cryptographic verification of
    upstream signed tags.
  * New upstream release.
  * Bump Standards-Version to 4.3.0 (from 4.1.4; no further changes).
  * Tests: add basic autopkgtest import-private-module.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 29 Dec 2018 09:41:18 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
  gettext,
  python3,
  python3-distutils
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://otsaloma.io/nfoview/
-X-Python3-Version: >= 3.2
 Vcs-Git: https://salsa.debian.org/python-team/applications/nfoview.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/nfoview

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,5 @@
 	dh_installchangelogs -k NEWS.md
 
 override_dh_auto_test:
+	# keep skipping the testsuite for now, pytest issues
+	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="xvfb-run -a pytest-3 --tb=no nfoview" dh_auto_test

=== debian/tests/control ===
Tests: import-private-module
# at-spi2-core for org.a11y.Bus.service, to prevent warning on stderr
Depends: @, at-spi2-core, python3-all, xvfb, xauth
Restrictions: superficial

# disable upstream testsuite for now, pytest issues
#Tests: upstream-pytest
#Depends: @, at-spi2-core, xvfb, xauth, python3-pytest

## nfoview 1.27

=== debian/changelog ===
nfoview (1.27-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Bump compat level to 12 (from 11; no further changes).
  * Rules: enable upstream testsuite during build.
  * Control: add build-depends on gir1.2-gtk-3.0, python3-gi,
    python3-pytest, xvfb and xauth (needed by the upstream testsuite).
  * Tests: enable upstream-pytest for debci.
  * Copyright: bump years for upstream and packaging.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 08 Aug 2019 13:14:08 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,17 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  gettext,
+ gir1.2-gtk-3.0,
  python3,
- python3-distutils
-Standards-Version: 4.3.0
+ python3-distutils,
+ python3-gi,
+ python3-pytest,
+ xvfb,
+ xauth
+Standards-Version: 4.4.0
 Homepage: https://otsaloma.io/nfoview/
 Vcs-Git: https://salsa.debian.org/python-team/applications/nfoview.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/nfoview

=== debian/tests/control ===
Tests: import-private-module
# at-spi2-core for org.a11y.Bus.service, to prevent warning on stderr
Depends: @, at-spi2-core, python3-all, xvfb, xauth
Restrictions: superficial

# upstream testsuite
Tests: upstream-pytest
Depends: @, xvfb, xauth, python3-pytest

=== debian/watch ===
version=4
# gitmode=full to work around #896705, #907775, #910709, ...
opts=mode=git,gitmode=full,pgpmode=gittag \
 https://github.com/otsaloma/nfoview refs/tags/v?(\d\S*) debian

## nfoview 1.28

=== flatpak/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 # -*- coding: utf-8-unix -*-
 
 clean:
+	rm -rf build
 	rm -rf .flatpak-builder
-	rm -rf build
 
 install:
-	$(MAKE) clean uninstall
+	$(MAKE) uninstall
+	rm -rf build .flatpak-builder/build
 	flatpak-builder --install --install-deps-from=flathub build io.otsaloma.nfoview.yml
 
 run:

=== debian/changelog ===
nfoview (1.28-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Control:
    + replace xfonts-terminus with fonts-cascadia-code, upstream
      changed the default font.
    + bump compat level to 13 (from 12).
  * Install: remove entry for nfoview.xpm, replaced by new upstream svg
    application icons.
  * Bump Standards-Version to 4.5.0 (from 4.4.0; no further changes).
  * Copyright: bump years.
  * Tests: pass nonexistent homedir to xvfb-run to prevent dconf from
    attempting to write to an actual homedir, and add 'Restrictions:
    allow-stderr' for upstream-pytest. Without these, the autopkgtest
    fails when using schroot as virtualization server; with lxc (used
    on ci.debian.net and salsa) there's no such problem.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 12 May 2020 10:42:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gettext,
  gir1.2-gtk-3.0,
@@ -14,7 +14,7 @@
  python3-pytest,
  xvfb,
  xauth
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://otsaloma.io/nfoview/
 Vcs-Git: https://salsa.debian.org/python-team/applications/nfoview.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/nfoview
@@ -26,7 +26,7 @@
  ${misc:Depends},
  gir1.2-gtk-3.0,
  python3-gi
-Recommends: xfonts-terminus
+Recommends: fonts-cascadia-code
 Description: simple viewer for NFO files
  NFO Viewer is a simple viewer for NFO files, which are "ASCII art" in
  the CP437 codepage. The advantages of using NFO Viewer instead of a

## nfoview 1.28.1

=== Makefile ===
# -*- coding: utf-8-unix -*-

# EDITOR must wait!
EDITOR = nano

check:
	flake8 bin/nfoview
	flake8 nfoview
	flake8 *.py

clean:
	./setup.py clean

install:
	./setup.py install

# Interactive!
release:
	$(MAKE) check test clean
	@echo "BUMP VERSION NUMBERS"
	$(EDITOR) nfoview/__init__.py
	$(EDITOR) win32/nfoview.iss
	@echo "ADD RELEASE NOTES"
	$(EDITOR) NEWS.md
	$(EDITOR) data/io.otsaloma.nfoview.appdata.xml.in
	sudo ./setup.py install --prefix=/usr/local clean
	/usr/local/bin/nfoview
	tools/release
	@echo "REMEMBER TO UPDATE FLATPAK"
	@echo "REMEMBER TO UPDATE WEBSITE"

test:
	py.test -xs nfoview

# Interactive!
translations:
	tools/update-translations

warnings:
	python3 -Wd bin/nfoview

.PHONY: check clean install release test translations warnings

=== debian/changelog ===
nfoview (1.28.1-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + switch dh-python build-dep to dh-sequence-python3.
    + set 'Rules-Requires-Root: no'.
    + bump Standards-Version to 4.6.0 (from 4.5.0).
    + set maintainer to my debian.org email address.
  * Lintian:
    + add override for binary: repeated-path-segment, not a bug.
    + override source: missing-build-dependency-for-dh-addon python3;
      handled by dh-sequence-python3.
  * Docs: install NEWS.md; drop TODO.md (no longer shipped).
  * Copyright:
    + bump years.
    + update source url.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 11 Oct 2021 09:01:08 +0000

nfoview (1.28-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 22:50:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nfoview
 Section: utils
 Priority: optional
-Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Jeroen Ploemen <jcfp@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  gettext,
  gir1.2-gtk-3.0,
  python3,
@@ -14,10 +14,11 @@
  python3-pytest,
  xvfb,
  xauth
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://otsaloma.io/nfoview/
-Vcs-Git: https://salsa.debian.org/python-team/applications/nfoview.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/nfoview
+Vcs-Git: https://salsa.debian.org/python-team/packages/nfoview.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/nfoview
+Rules-Requires-Root: no
 
 Package: nfoview
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,4 @@
 	dh_installchangelogs -k NEWS.md
 
 override_dh_auto_test:
-	# keep skipping the testsuite for now, pytest issues
-	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="xvfb-run -a pytest-3 --tb=no nfoview" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="xvfb-run -a pytest-3 --tb=no nfoview" dh_auto_test

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
 # upstream testsuite
 Tests: upstream-pytest
 Depends: @, xvfb, xauth, python3-pytest
+Restrictions: allow-stderr

## nfoview 1.29

=== Makefile ===
# -*- coding: utf-8-unix -*-

DESTDIR   =
PREFIX    = /usr/local
DATADIR   = $(DESTDIR)$(PREFIX)/share
LOCALEDIR = $(DESTDIR)$(PREFIX)/share/locale

# Allow overriding setup.py paths. Note that we can't set
# SETUP_PREFIX=PREFIX as many distros are automatically adding
# 'local', causing '/usr/local/local' and a broken install.
SETUP_ROOT   = $(DESTDIR)
SETUP_PREFIX =

# EDITOR must wait!
EDITOR = nano

# TODO: Use either 'pip3 install' or 'python3 -m build' + 'python3 -m
# installer' once either supports a sensible installation both from
# source (--prefix=/usr/local, whether implicit or explicit) and
# building a distro package (--destdir=pkg --prefix=/usr). As of 9/2022
# it seems setup.py is deprecated, but there is no replacement.

build:
	@echo "BUILDING PYTHON PACKAGE..."
	NFOVIEW_PREFIX=$(PREFIX) ./setup-partial.py build
	@echo "BUILDING TRANSLATIONS..."
	mkdir -p build/mo
	for LANG in `cat po/LINGUAS`; do \
	echo $$LANG; \
	msgfmt po/$$LANG.po -o build/mo/$$LANG.mo; \
	done
	@echo "BUILDING DESKTOP FILE..."
	msgfmt --desktop -d po \
	--template data/io.otsaloma.nfoview.desktop.in \
	-o build/io.otsaloma.nfoview.desktop
	@echo "BUILDING APPDATA FILE..."
	msgfmt --xml -d po \
	--template data/io.otsaloma.nfoview.appdata.xml.in \
	-o build/io.otsaloma.nfoview.appdata.xml
	touch build/.complete

check:
	flake8 .
	flake8 bin/*

clean:
	rm -rf build
	rm -rf nfoview.egg-info
	rm -rf dist
	rm -rf __pycache__
	rm -rf */__pycache__
	rm -rf */*/__pycache__
	rm -rf */*/*/__pycache__

install:
	test -f build/.complete
	@echo "INSTALLING PYTHON PACKAGE..."
	NFOVIEW_PREFIX=$(PREFIX) ./setup-partial.py install \
	$(if $(SETUP_ROOT),--root=$(SETUP_ROOT),) \
	$(if $(SETUP_PREFIX),--prefix=$(SETUP_PREFIX),)
	@echo "INSTALLING DATA FILES..."
	mkdir -p $(DATADIR)/nfoview
	cp -f data/*.ui $(DATADIR)/nfoview
	@echo "INSTALLING ICONS..."
	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
	mkdir -p $(DATADIR)/icons/hicolor/symbolic/apps
	cp -f data/io.otsaloma.nfoview.svg $(DATADIR)/icons/hicolor/scalable/apps
	cp -f data/io.otsaloma.nfoview-symbolic.svg $(DATADIR)/icons/hicolor/symbolic/apps
	@echo "INSTALLING TRANSLATIONS..."
	for LANG in `cat po/LINGUAS`; do \
	echo $$LANG; \
	mkdir -p $(LOCALEDIR)/$$LANG/LC_MESSAGES; \
	cp -f build/mo/$$LANG.mo $(LOCALEDIR)/$$LANG/LC_MESSAGES/nfoview.mo; \
	done
	@echo "INSTALLING DESKTOP FILE..."
	mkdir -p $(DATADIR)/applications
	cp -f build/io.otsaloma.nfoview.desktop $(DATADIR)/applications
	@echo "INSTALLING APPDATA FILE..."
	mkdir -p $(DATADIR)/metainfo
	cp -f build/io.otsaloma.nfoview.appdata.xml $(DATADIR)/metainfo
	@echo "INSTALLING MAN PAGE..."
	mkdir -p $(DATADIR)/man/man1
	cp -f data/nfoview.1 $(DATADIR)/man/man1

# Interactive!
release:
	$(MAKE) check test clean
	@echo "BUMP VERSION NUMBERS"
	$(EDITOR) nfoview/__init__.py
	@echo "ADD RELEASE NOTES"
	$(EDITOR) NEWS.md
	$(EDITOR) data/io.otsaloma.nfoview.appdata.xml.in
	sudo $(MAKE) PREFIX=/usr/local build install clean
	/usr/local/bin/nfoview
	tools/release
	@echo "REMEMBER TO UPDATE FLATPAK"
	@echo "REMEMBER TO UPDATE WEBSITE"

test:
	py.test -xs .

# Interactive!
translations:
	tools/update-translations

.PHONY: build check clean install release test translations

=== debian/changelog ===
nfoview (1.29-2) unstable; urgency=medium

  * Copyright: remove leftover license paragraph for LPGL-3.
  * Copyright: add entry for appdata XML file (CC0-1.0).
  * Control: bump std-ver to 4.6.2 (from 4.6.1; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 20 Dec 2022 13:54:41 +0000

nfoview (1.29-1) unstable; urgency=medium

  * New upstream version 1.29:
    + fixes Gtk CSS handling. (Closes: #1010877)
  * Tests: loop over py3versions -s rather than -r.
  * Control: bump Standards-Version to 3.6.1 (from 3.6.0; no further
    changes).
  * Control: replace build-dep on python3-distutils with python3-
    setuptools.
  * Rules: modify pybuild calls, upstream made a (partial) move from
    setup.py to a Makefile.
  * Patches: add 01 to modify a hardcoded /usr/local prefix and insert
    setuptools install arguments.
  * Copyright: remove obsolete entry for data/icons, bump years for
    upstream and packaging.
  * Lintian: modify overrides to match changed output format.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 17 Oct 2022 14:55:32 +0000

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  gettext,
  gir1.2-gtk-3.0,
  python3,
- python3-distutils,
+ python3-setuptools,
  python3-gi,
  python3-pytest,
  xvfb,
  xauth
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://otsaloma.io/nfoview/
 Vcs-Git: https://salsa.debian.org/python-team/packages/nfoview.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nfoview

## nfoview 1.99

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 # Allow overriding setup.py paths. Note that we can't set
 # SETUP_PREFIX=PREFIX as many distros are automatically adding
 # 'local', causing '/usr/local/local' and a broken install.
+# https://bugzilla.redhat.com/show_bug.cgi?id=2026979
 SETUP_ROOT   = $(DESTDIR)
 SETUP_PREFIX =

=== debian/changelog ===
nfoview (1.99-1) unstable; urgency=medium

  * New upstream version 1.99
  * Control: switch (build-)deps to GTK 4.
  * Control: mark test-only build-deps <!nocheck>.
  * Patches: refresh 01.
  * Copyright: bump years.
  * Watch: remove gitmode=full option.
  * Lintian: remove override for missing-build-dependency-for-dh-addon,
    no longer needed.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 22 Aug 2023 21:52:26 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  gettext,
- gir1.2-gtk-3.0,
- python3,
+ gir1.2-gtk-4.0 <!nocheck>,
+ python3 <!nocheck>,
  python3-setuptools,
- python3-gi,
- python3-pytest,
- xvfb,
- xauth
+ python3-gi <!nocheck>,
+ python3-pytest <!nocheck>,
+ xvfb <!nocheck>,
+ xauth <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://otsaloma.io/nfoview/
 Vcs-Git: https://salsa.debian.org/python-team/packages/nfoview.git
@@ -25,7 +25,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
- gir1.2-gtk-3.0,
+ gir1.2-gtk-4.0,
  python3-gi
 Recommends: fonts-cascadia-code
 Description: simple viewer for NFO files

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# extra args for 'setup.py install'
-export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/nfoview --no-compile
+export PYBUILD_SYSTEM=custom
+export PYBUILD_BUILD_ARGS=$(MAKE) build
+export PYBUILD_INSTALL_ARGS=$(MAKE) install DESTDIR=debian/nfoview
+export PYBUILD_CLEAN_ARGS=$(MAKE) clean
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
 https://github.com/otsaloma/nfoview refs/tags/v?(\d\S*)

## nfoview 2.0.1

=== Makefile ===
# -*- coding: utf-8-unix -*-

DESTDIR   =
PREFIX    = /usr/local
BINDIR    = $(DESTDIR)$(PREFIX)/bin
DATADIR   = $(DESTDIR)$(PREFIX)/share
LOCALEDIR = $(DESTDIR)$(PREFIX)/share/locale

# Paths to patch in files,
# referring to installed, final paths.
BINDIR_FINAL    = $(PREFIX)/bin
DATADIR_FINAL   = $(PREFIX)/share
LOCALEDIR_FINAL = $(PREFIX)/share/locale

# EDITOR must wait!
EDITOR = nano

build:
	@echo "BUILDING PYTHON PACKAGE..."
	mkdir -p build/nfoview
	cp nfoview/*.py build/nfoview
	sed -i "s|^DATA_DIR = .*$$|DATA_DIR = Path('$(DATADIR_FINAL)/nfoview')|" build/nfoview/paths.py
	sed -i "s|^LOCALE_DIR = .*$$|LOCALE_DIR = Path('$(LOCALEDIR_FINAL)')|" build/nfoview/paths.py
	fgrep -q "$(DATADIR_FINAL)/nfoview" build/nfoview/paths.py
	fgrep -q "$(LOCALEDIR_FINAL)" build/nfoview/paths.py
	@echo "BUILDING SCRIPT..."
	mkdir -p build/bin
	cp bin/nfoview.in build/bin/nfoview
	sed -i "s|%LIBDIR%|$(DATADIR_FINAL)/nfoview|" build/bin/nfoview
	fgrep -q "$(DATADIR_FINAL)/nfoview" build/bin/nfoview
	chmod +x build/bin/nfoview
	@echo "BUILDING TRANSLATIONS..."
	mkdir -p build/mo
	for LANG in `cat po/LINGUAS`; do msgfmt po/$$LANG.po -o build/mo/$$LANG.mo; done
	@echo "BUILDING DESKTOP FILE..."
	msgfmt --desktop -d po \
	--template data/io.otsaloma.nfoview.desktop.in \
	-o build/io.otsaloma.nfoview.desktop
	@echo "BUILDING APPDATA FILE..."
	msgfmt --xml -d po \
	--template data/io.otsaloma.nfoview.appdata.xml.in \
	-o build/io.otsaloma.nfoview.appdata.xml
	touch build/.complete

check:
	flake8 .
	flake8 bin/*

clean:
	rm -rf build
	rm -rf nfoview.egg-info
	rm -rf dist
	rm -rf __pycache__
	rm -rf */__pycache__
	rm -rf */*/__pycache__
	rm -rf */*/*/__pycache__

install:
	test -f build/.complete
	@echo "INSTALLING PYTHON PACKAGE..."
	mkdir -p $(DATADIR)/nfoview/nfoview
	cp -f build/nfoview/*.py $(DATADIR)/nfoview/nfoview
	@echo "INSTALLING SCRIPT..."
	mkdir -p $(BINDIR)
	cp -f build/bin/nfoview $(BINDIR)
	@echo "INSTALLING DATA FILES..."
	mkdir -p $(DATADIR)/nfoview
	cp -f data/*.ui $(DATADIR)/nfoview
	@echo "INSTALLING ICONS..."
	mkdir -p $(DATADIR)/icons/hicolor/scalable/apps
	mkdir -p $(DATADIR)/icons/hicolor/symbolic/apps
	cp -f data/io.otsaloma.nfoview.svg $(DATADIR)/icons/hicolor/scalable/apps
	cp -f data/io.otsaloma.nfoview-symbolic.svg $(DATADIR)/icons/hicolor/symbolic/apps
	@echo "INSTALLING TRANSLATIONS..."
	for LANG in `cat po/LINGUAS`; do mkdir -p $(LOCALEDIR)/$$LANG/LC_MESSAGES; done
	for LANG in `cat po/LINGUAS`; do cp -f build/mo/$$LANG.mo $(LOCALEDIR)/$$LANG/LC_MESSAGES/nfoview.mo; done
	@echo "INSTALLING DESKTOP FILE..."
	mkdir -p $(DATADIR)/applications
	cp -f build/io.otsaloma.nfoview.desktop $(DATADIR)/applications
	@echo "INSTALLING APPDATA FILE..."
	mkdir -p $(DATADIR)/metainfo
	cp -f build/io.otsaloma.nfoview.appdata.xml $(DATADIR)/metainfo
	@echo "INSTALLING MAN PAGE..."
	mkdir -p $(DATADIR)/man/man1
	cp -f data/nfoview.1 $(DATADIR)/man/man1

# Interactive!
release:
	$(MAKE) check test clean
	@echo "BUMP VERSION NUMBERS"
	$(EDITOR) nfoview/__init__.py
	@echo "ADD RELEASE NOTES"
	$(EDITOR) NEWS.md
	$(EDITOR) data/io.otsaloma.nfoview.appdata.xml.in
	appstream-util validate-relax --nonet data/io.otsaloma.nfoview.appdata.xml.in
	sudo $(MAKE) PREFIX=/usr/local build install clean
	/usr/local/bin/nfoview
	tools/release
	@echo "REMEMBER TO UPDATE FLATPAK"
	@echo "REMEMBER TO UPDATE WEBSITE"

test:
	py.test -xs .

# Interactive!
translations:
	tools/update-translations

.PHONY: build check clean install release test translations

=== debian/changelog ===
nfoview (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Control: remove team from uploaders.
  * Control: point VCS links to private namespace.
  * Control: remove build-dep on python3-setuptools, dropped upstream.
  * Patches: refresh 01 to match changes to the upstream buildsys.
  * Copyright: bump years.
  * Tests: run upstream testsuite against all supported Python version.
  * Control: add build-dep on python3-all.
  * Rules: modify override of dh_auto_test to inject {interpreter} into
    the test command.
  * Tests: temporarily set allow-stderr for import-private-module too,
    see https://gitlab.freedesktop.org/mesa/mesa/-/issues/10293.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 07 Apr 2024 07:03:33 +0000

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,20 @@
 Section: utils
 Priority: optional
 Maintainer: Jeroen Ploemen <jcfp@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  gettext,
  gir1.2-gtk-4.0 <!nocheck>,
- python3 <!nocheck>,
- python3-setuptools,
+ python3-all <!nocheck>,
  python3-gi <!nocheck>,
  python3-pytest <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://otsaloma.io/nfoview/
-Vcs-Git: https://salsa.debian.org/python-team/packages/nfoview.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/nfoview
+Vcs-Git: https://salsa.debian.org/jcfp/nfoview.git
+Vcs-Browser: https://salsa.debian.org/jcfp/nfoview
 Rules-Requires-Root: no
 
 Package: nfoview

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_installchangelogs -k NEWS.md
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="xvfb-run -a pytest-3 --tb=no nfoview" dh_auto_test
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="xvfb-run -a {interpreter} -m pytest --tb=no nfoview" dh_auto_test

## nfoview 2.1

=== debian/changelog ===
nfoview (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * Control: add (build-)deps on gir1.2-pango-1.0 and python3-cairo.
  * Rules: remove redundant "--with python3" from dh call.
  * Copyright: replace FSF postal address with gnu.org/licenses URL,
    bump years.
  * Control: bump std-ver to 4.7.2 (from 4.6.2; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 15 Apr 2025 13:00:22 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
  dh-sequence-python3,
  gettext,
  gir1.2-gtk-4.0 <!nocheck>,
+ gir1.2-pango-1.0 <!nocheck>,
  python3-all <!nocheck>,
+ python3-cairo <!nocheck>,
  python3-gi <!nocheck>,
  python3-pytest <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://otsaloma.io/nfoview/
 Vcs-Git: https://salsa.debian.org/jcfp/nfoview.git
 Vcs-Browser: https://salsa.debian.org/jcfp/nfoview
@@ -24,6 +26,8 @@
  ${python3:Depends},
  ${misc:Depends},
  gir1.2-gtk-4.0,
+ gir1.2-pango-1.0,
+ python3-cairo,
  python3-gi
 Recommends: fonts-cascadia-code
 Description: simple viewer for NFO files

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_CLEAN_ARGS=$(MAKE) clean
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS.md

=== debian/tests/control ===
Tests: import-private-module
# at-spi2-core for org.a11y.Bus.service, to prevent warning on stderr
Depends: @, at-spi2-core, python3-all, xvfb, xauth
Restrictions: superficial, allow-stderr

# upstream testsuite
Tests: upstream-pytest
Depends: @, xvfb, xauth, python3-all, python3-pytest
Restrictions: allow-stderr
